<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gattc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gattc_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gattc__t_1ab738ddae5aeb7db199adff0ccb24c368" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_gattc_t::serviceChanged</definition>
        <argsstring />
        <name>serviceChanged</name>
        <briefdescription>
<para>Handle of the Service Changed Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="126" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__t_1aab6afdd3298d7e715f5895cdaddf5980" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gattc_t::cccdHandle</definition>
        <argsstring />
        <name>cccdHandle</name>
        <briefdescription>
<para>Client Characteristic Configuration descriptor handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="127" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="127" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Generic Attribute Service (GATTS) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="709">
        <label>cy_stc_ble_gattc_t</label>
        <link refid="structcy__stc__ble__gattc__t" />
        <childnode refid="710" relation="usage">
          <edgelabel>serviceChanged</edgelabel>
        </childnode>
      </node>
      <node id="710">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="128" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="125" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gattc__t_1aab6afdd3298d7e715f5895cdaddf5980" virt="non-virtual"><scope>cy_stc_ble_gattc_t</scope><name>cccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__t_1ab738ddae5aeb7db199adff0ccb24c368" virt="non-virtual"><scope>cy_stc_ble_gattc_t</scope><name>serviceChanged</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>